package com.dxhy.common.enums;

/**
 * 抵账统计表确认状态
 * 
 * @author kangzq 20190507
 *
 */
public enum QsStatusEnum {

    /**
     * 未确认
     */
    WQR("0", 1),
    /**
     * 确认中
     */
    QRZ("1", 2),
    /**
     * 确认成功
     */
    QRCG("2", 3),
    /**
     * 确认失败
     */
    QRSB("3", 4);

    private final String[] QSSTATUSMC = {"未确认", "确认中", "确认成功", "确认失败"};

    private String qsStatusDm;
    private int index;

    QsStatusEnum(String qsStatusDm, int index) {
        this.qsStatusDm = qsStatusDm;
        this.index = index;
    }

    public String getQsStatusDm(int index) {
        for (QsStatusEnum fplx : QsStatusEnum.values()) {
            if (fplx.getIndex() == index) {
                return fplx.qsStatusDm;
            }
        }
        return null;
    }

    public String getQsStatusMc(int index) {
        int length = QSSTATUSMC.length;
        if (index <= length) {
            return QSSTATUSMC[index - 1];
        }
        return null;
    }

    public String getQsStatusDm() {
        return qsStatusDm;
    }

    public void setQsStatusDm(String qsStatusDm) {
        this.qsStatusDm = qsStatusDm;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
